Name:           python-plakativ
Version:        0.5.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Convert a PDF into a large poster that can be printed on multiple smaller pages.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.mister-muffin.de/josch/plakativ
Source:         %{pypi_source plakativ}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'plakativ' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-plakativ
Summary:        %{summary}

%description -n python3-plakativ %_description


%prep
%autosetup -p1 -n plakativ-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-plakativ -f %{pyproject_files}


%changelog
%autochangelog